<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
	<title>Facelet Title</title>

</h:head>
<h:body>

	<div>
		<div>
			<h:form id="buscar">
				<p:outputLabel value="Sucursal" />
				<p:selectOneMenu value="#{transaccionBean.sucursal}">
					<f:selectItems value="#{transaccionBean.listaSuc}" var="s" itemLabel="#{s.nombre}" itemValue="#{s.idsucursal}"/>
				</p:selectOneMenu>
				<p:outputLabel value="Producto" />
				<p:selectOneMenu value="#{transaccionBean.productos}">
					<f:selectItems value="#{transaccionBean.listaProd}" var="p" itemLabel="#{p.nombre}" itemValue="#{p.idproduct}"/>
				</p:selectOneMenu>
				<p:outputLabel value="Tipo de Movimiento" />
				<p:selectOneMenu value="#{transaccionBean.tipoMovimiento}">
					<f:selectItems value="#{transaccionBean.listaTipoMov}" var="t" itemLabel="#{t.tipo}" itemValue="#{t.idtmov}"/>
				</p:selectOneMenu>
				<p:commandButton value="Buscar" actionListener="#{transaccionBean.findProd()}" update=":data" />
			</h:form>
		</div>

            <h:form id="data" > 
		<p:dataTable value="#{transaccionBean.listaMov}" var="m">
			<p:column headerText="Fecha">
				<h:outputText value="#{m.fecha}" />
			</p:column>
			<p:column headerText="Sucursal">
				<h:outputText value="#{m.sucursal.nombre}" />
			</p:column>
			<p:column headerText="Producto">
				<h:outputText value="#{m.productos.nombre}" />
			</p:column>
			<p:column headerText="Tipo Movimiento">
				<h:outputText value="#{m.tiposMovimientos.tipo}" />
			</p:column>
			<p:column headerText="Cantidad">
				<h:outputText value="#{m.cantidad}" />
			</p:column>
			<p:column headerText="Stock">
				<h:outputText value="#{m.stock}" />
			</p:column>
		</p:dataTable>
                </h:form>
	</div>

</h:body>
</html>

